Categories:
  - System
License: GPL-3.0-only
AuthorName: Elastic Rock
SourceCode: https://github.com/elastic-rock/KeepScreenOn
IssueTracker: https://github.com/elastic-rock/KeepScreenOn/issues

AutoName: Keep Screen On

RepoType: git
Repo: https://github.com/elastic-rock/KeepScreenOn
Binaries: https://github.com/elastic-rock/KeepScreenOn/releases/download/v%v/com.elasticrock.keepscreenon_v%v.apk

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: v1.0.0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 2
    commit: 95e2f9846abf8a196eef1995ca38da98d60493ad
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

AllowedAPKSigningKeys: bb9503be1486028133b33eabce9732100e9a331065e32fa2a033a93498bae6d6

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.1.0
CurrentVersionCode: 2
